Page MenuHomePhabricator

Improve version information for Wikidata software components
Closed, ResolvedPublic

Description

Right now, version information on https://www.wikidata.org/wiki/Special:Version does not show which build of Wikibase is running. It shows 1.28.0-wmf.20 for Mediawiki, but no such information for Wikidata build or Wikibase extensions.

Moreover, Wikidata extensions do not have any links to commits - unlike other extensions - except for "Wikidata Build" extension that links to a commit from May 2014.

This makes it very hard to figure out which build of Wikidata build bundle is currently deployed. It would be nice if we could improve version display so it would be at least as clear as for Mediawiki and other extensions.

Related Objects

StatusAssignedTask
InvalidNone
ResolvedAddshore
ResolvedAddshore
DeclinedNone
Resolvedaude
ResolvedJeroenDeDauw
ResolvedWMDE-leszek
InvalidNone
InvalidNone
OpenNone
ResolvedVictorbarbu
ResolvedLucas_Werkmeister_WMDE
ResolvedMtDu
ResolvedLydia_Pintscher
DeclinedLydia_Pintscher
InvalidNone
InvalidNone
ResolvedReedy
ResolvedLegoktm
ResolvedLadsgroup
ResolvedNone
ResolvedJanZerebecki
OpenNone
ResolvedJanZerebecki
ResolvedKrinkle
InvalidNone
ResolvedJanZerebecki
InvalidNone
ResolvedAddshore

Event Timeline

Smalyshev created this task.Oct 3 2016, 5:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 3 2016, 5:52 PM
Smalyshev removed a subscriber: Wikidata.
hoo added a subscriber: hoo.Oct 3 2016, 5:54 PM
Esc3300 added a subscriber: Esc3300.EditedOct 5 2016, 8:39 AM

From the title, I thought that this was about https://www.wikidata.org/wiki/Module:Wikidata (and linked ones). I thought I didn't even know that it had version information. ;)

hoo renamed this task from Improve version information for Wikidata modules to Improve version information for Wikidata software components.Oct 5 2016, 8:40 AM
aude added a subscriber: aude.Nov 15 2016, 1:36 PM

for the wikidata build, maybe we could add the branch name as a version number, possibly in extension.json

Don't we have a ticket about getting wikibase to use the top level composer? That would take care of this via the existing listing of Composer library versions on Special:Version.

Addshore closed this task as Resolved.Dec 1 2017, 7:21 PM
Addshore claimed this task.
Addshore added a subscriber: Addshore.

Build is dead and all extensions and components shows their versions (as with other libs and extensions)

Restricted Application added a project: User-Addshore. · View Herald TranscriptDec 1 2017, 7:21 PM